<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.program1">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    <application
        android:name=".Room.App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Design.Light.NoActionBar">
        <service android:name=".ForegroundService"
            android:enabled="true"
            android:exported="true"/>
        <activity android:name=".view.HalamanMasuk">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".TestActivity" android:noHistory="true"/>
        <activity android:name=".AddFoodsItemTest"/>
        <activity android:name=".UpdateFoodsItemTest" android:noHistory="true"/>
        <activity android:name=".AppTierModule"/>
        <activity android:name=".SecondTierModule"/>
        <activity android:name=".Room.Percobaan"/>
        <activity android:name=".Room.Foreground"/>
        <activity android:name=".Room.IntentService"/>
        <activity android:name=".Room.JobSchedulerService"/>
        <activity android:name=".Room.read" />
        <activity android:name=".Room.activity_user" />
        <activity android:name=".Room.ubah" />
        <activity android:name=".view.HalamanDaftar" />
        <activity android:name=".view.admin.HomeAdmin"/>
        <activity android:name=".view.admin.MemasukanMakanan"/>
        <activity android:name=".view.admin.MemasukanMinuman"/>
        <activity android:name=".view.admin.LihatMenuMakanan"/>
        <activity android:name=".view.admin.LihatMenuMinuman"/>
        <activity android:name=".view.admin.MemasukanOvoAdmin"/>
        <activity android:name=".view.admin.BayarPesanan"/>
        <activity android:name=".view.konsumen.HomeKonsumen"/>
        <activity android:name=".view.konsumen.MembeliMakanan"/>
        <activity android:name=".view.konsumen.konfirmasiMembeliMakanan"/>
        <activity android:name=".view.konsumen.MembeliMinuman"/>
        <activity android:name=".view.konsumen.konfirmasiMembeliMinuman"/>
        <activity android:name=".view.koki.HomeKoki"/>
        <activity android:name=".Welcome"/>
        <service android:name=".Room.ExampleService" />
        <service android:name=".Room.ExampleIntentService" />
        <service
            android:name=".Room.ExampleJobService"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <activity android:name=".DatabaseConn"/>


    </application>

</manifest>